#########################################
#	Aliases			#
#########################################
alias open="xdg-open"
alias gitroot='cd $(git rev-parse --show-toplevel)'

alias dc-up="docker-compose up"
alias dc-upd="docker-compose up -d"
alias dc-down="docker-compose down"
alias dc-clearmysql='find $(git rev-parse --show-toplevel)/docker/lib/mysql -mindepth 1 -maxdepth 1 -not -name '.gitkeep' -exec rm -rf "{}" \;'

# Quick install script for projects
alias krinstall="echo '###===  NodeJS  ===###' && npm install && echo '###=== Composer ===###' && composer install && echo '###=== Finished ===###'"

copydl() {

	if [ $# -eq 1 ]
	then
		dlFileCount=1
	elif [ $# -eq 2 ]
	then
		dlFileCount=$1
	fi

	lastdlFiles=$(ls -1tp ~/Downloads | head -$dlFileCount)

	if [ $# -eq 1 ]
	then
		while read line; do
			cp "$HOME/Downloads/$line" "$1"
		done <<< "$lastdlFiles"
	elif [ $# -eq 2 ]
	then
		while read line; do
			cp "$HOME/Downloads/$line" "$2"
		done <<< "$lastdlFiles"
	fi

}

ytplaylist(){
    youtube-dl --get-id "$1" | awk '{print "https://www.youtube.com/watch?v=" $0;}' | vlc -
}

alias dl-wpcli="wget https://raw.githubusercontent.com/wp-cli/builds/gh-pages/phar/wp-cli.phar"
alias dl-wp="curl https://wordpress.org/latest.tar.gz | tar -xzv"

alias gpgcb="xsel --clipboard | sed 's/^ *//g' | gpg2 -d"

if [ -n "$(command -v nvim)" ]; then
    alias oldvim='vim'
    alias vim='nvim'
fi
